Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1805988 - Review Request: sorkintype-merriweather-sans-fonts - A low-contrast semi-condensed sans-serif font family
Summary: Review Request: sorkintype-merriweather-sans-fonts - A low-contrast semi-cond...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-21 19:23 UTC by Nicolas Mailhot
Modified: 2020-04-02 00:31 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-02 00:31:17 UTC
Type: ---
panemade: fedora-review+


Attachments (Terms of Use)

Description Nicolas Mailhot 2020-02-21 19:23:25 UTC
Spec URL: https://download.copr.fedorainfracloud.org/results/nim/fonts-rpm-macros/fedora-31-x86_64/01248029-sorkintype-merriweather-sans-fonts/sorkintype-merriweather-sans-fonts.spec

SRPM URL: https://download.copr.fedorainfracloud.org/results/nim/fonts-rpm-macros/fedora-31-x86_64/01248029-sorkintype-merriweather-sans-fonts/sorkintype-merriweather-sans-fonts-1.008-1.20191208gitf36d6e1.fc31.src.rpm

Description:
Merriweather Sans is a low-contrast semi-condensed sans-serif font family
designed to be readable at very small sizes. Merriweather Sans is traditional
in feeling despite the modern shapes it has adopted for screens. It is a
companion to the serif font family Merriweather.

Fedora Account System Username: nim


One of the top font families on Google fonts.

The packaging conforms to https://pagure.io/packaging-committee/issue/935
as approved by FPC on 2020-02-13.

It makes use of our forge automation:
https://docs.fedoraproject.org/en-US/packaging-guidelines/SourceURL/

It is one of the test packages that were used to refine the new packaging guidelines
https://copr.fedorainfracloud.org/coprs/nim/fonts-rpm-macros/

The new fonts packaging build chain is now live in koji. For example:
https://koji.fedoraproject.org/koji/buildinfo?buildID=1468243

If the review is fast enough the package may make the FC32 100% Code Complete Deadline (2020-02-25)
https://fedorapeople.org/groups/schedule/f-32/f-32-key-tasks.html

Comment 2 Parag AN(पराग) 2020-03-14 17:33:24 UTC
Review:

This package follows new fonts packaging guidelines.

Rpmlint
-------
Checking: sorkintype-merriweather-sans-fonts-1.008-2.20191208gitf36d6e1.fc33.noarch.rpm
          sorkintype-merriweather-sans-fonts-1.008-2.20191208gitf36d6e1.fc33.src.rpm
sorkintype-merriweather-sans-fonts.noarch: W: incoherent-version-in-changelog 1.008-2 ['1.008-2.20191208gitf36d6e1.fc33', '1.008-2.20191208gitf36d6e1']
2 packages and 0 specfiles checked; 0 errors, 1 warnings.


Source checksums
----------------
https://github.com/SorkinType/Merriweather-Sans/archive/f36d6e1eb17fd4eead50c320fc8313f5353c9f5f/Merriweather-Sans-f36d6e1eb17fd4eead50c320fc8313f5353c9f5f.tar.gz :
  CHECKSUM(SHA256) this package     : 0ee6593bee405e93e3f7e63ffe42600a9c3b3b0ab2a8306aa246f7f83b4cf8a5
  CHECKSUM(SHA256) upstream package : 0ee6593bee405e93e3f7e63ffe42600a9c3b3b0ab2a8306aa246f7f83b4cf8a5


Requires
--------
sorkintype-merriweather-sans-fonts (rpmlib, GLIBC filtered):
    config(sorkintype-merriweather-sans-fonts)
    fontpackages-filesystem



Provides
--------
sorkintype-merriweather-sans-fonts:
    config(sorkintype-merriweather-sans-fonts)
    font(merriweathersans)
    font(merriweathersansblack)
    font(merriweathersansitalic)
    font(merriweathersanslight)
    font(merriweathersanslightitalic)
    font(merriweathersansultrabolditalic)
    metainfo()
    metainfo(org.fedoraproject.sorkintype-merriweather-sans-fonts.metainfo.xml)
    sorkintype-merriweather-sans-fonts


Issues:
1) Fix the Changelog rpmlint warning before import of this package

APPROVED

Comment 3 Gwyn Ciesla 2020-03-14 20:06:40 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/sorkintype-merriweather-sans-fonts

Comment 4 Fedora Update System 2020-03-14 21:23:55 UTC
FEDORA-2020-f451c12526 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-f451c12526

Comment 5 Fedora Update System 2020-03-15 14:29:52 UTC
sorkintype-merriweather-sans-fonts-1.008-2.20200314gitf36d6e1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-f451c12526

Comment 6 Fedora Update System 2020-03-16 14:12:16 UTC
sorkintype-merriweather-sans-fonts-1.008-2.20200314gitf36d6e1.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-668975a5a6

Comment 7 Fedora Update System 2020-04-02 00:31:17 UTC
FEDORA-2020-668975a5a6 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.